Send Location
curl --request POST \
--url https://api.l2msg.com/whatsapp/message/sendLocation/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"name": "<string>",
"address": "<string>",
"latitude": 123,
"longitude": 123,
"delay": 123,
"linkPreview": true,
"mentionsEveryOne": true,
"mentioned": [
"{{remoteJID}}"
],
"quoted": {
"key": {
"id": "<string>"
},
"message": {
"conversation": "<string>"
}
}
}
'import requests
url = "https://api.l2msg.com/whatsapp/message/sendLocation/{instance}"
payload = {
"number": "<string>",
"name": "<string>",
"address": "<string>",
"latitude": 123,
"longitude": 123,
"delay": 123,
"linkPreview": True,
"mentionsEveryOne": True,
"mentioned": ["{{remoteJID}}"],
"quoted": {
"key": { "id": "<string>" },
"message": { "conversation": "<string>" }
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
name: '<string>',
address: '<string>',
latitude: 123,
longitude: 123,
delay: 123,
linkPreview: true,
mentionsEveryOne: true,
mentioned: ['{{remoteJID}}'],
quoted: {key: {id: '<string>'}, message: {conversation: '<string>'}}
})
};
fetch('https://api.l2msg.com/whatsapp/message/sendLocation/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE51B6FF4470AF9"
},
"message": {
"locationMessage": {
"degreesLatitude": -19.93359,
"degreesLongitude": -43.93851,
"name": "Palácio da Liberdade",
"address": "Praça da Liberdade, Belo Horizonte, MG 30140-050",
"contextInfo": {}
}
},
"messageTimestamp": "1717779606",
"status": "PENDING"
}Send Message
Send Location
Send Location
POST
/
message
/
sendLocation
/
{instance}
Send Location
Authorizations
Your authorization key header
Path Parameters
Name of the instance
Body
application/json
Number to receive the message (with country code)
Name the city
Location address
Latitude location
Longitude location
Presence time in milliseconds before sending message
Shows a preview of the target website if there's a link within the message
Mentioned everyone when the message send
Numbers to mention
Available options:
{{remoteJID}} Show child attributes
Show child attributes
Response
201 - application/json
Created
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The message content, which may include various types of messages like text, images, location, etc.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.
⌘I